testing::internal::ParamIterator< T > Class Template Reference

`#include <gtest.h>`

## Public Types

typedef T | value_type
typedef const T & | reference
typedef ptrdiff_t | difference_type

## Public Member Functions

| ParamIterator (const ParamIterator &other)
ParamIterator & | operator= (const ParamIterator &other)
const T & | operator* () const
const T * | operator-> () const
ParamIterator & | operator++ ()
ParamIterator | operator++ (int)
bool | operator== (const ParamIterator &other) const
bool | operator!= (const ParamIterator &other) const

## Friends

class | ParamGenerator< T >

## Detailed Description

### template<typename T>
class testing::internal::ParamIterator< T >

Definition at line 10659 of file gtest.h.

## Member Typedef Documentation

## difference_type

template<typename T >

typedef ptrdiff_t testing::internal::ParamIterator< T >::difference_type

Definition at line 10663 of file gtest.h.

## reference

template<typename T >

typedef const T& testing::internal::ParamIterator< T >::reference

Definition at line 10662 of file gtest.h.

## value_type

template<typename T >

typedef T testing::internal::ParamIterator< T >::value_type

Definition at line 10661 of file gtest.h.

## Constructor & Destructor Documentation

## ParamIterator()

template<typename T >

testing::internal::ParamIterator< T >::ParamIterator | ( | const ParamIterator< T > & | other | ) |

inline

Definition at line 10666 of file gtest.h.

## Member Function Documentation

## operator!=()

template<typename T >

bool testing::internal::ParamIterator< T >::operator!= | ( | const ParamIterator< T > & | other | ) | const

inline

Definition at line 10689 of file gtest.h.

## operator*()

template<typename T >

const T& testing::internal::ParamIterator< T >::operator* | ( |  | ) | const

inline

Definition at line 10673 of file gtest.h.

## operator++() [1/2]

template<typename T >

ParamIterator& testing::internal::ParamIterator< T >::operator++ | ( |  | ) |

inline

Definition at line 10676 of file gtest.h.

## operator++() [2/2]

template<typename T >

ParamIterator testing::internal::ParamIterator< T >::operator++ | ( | int |  | ) |

inline

Definition at line 10681 of file gtest.h.

## operator->()

template<typename T >

const T* testing::internal::ParamIterator< T >::operator-> | ( |  | ) | const

inline

Definition at line 10674 of file gtest.h.

## operator=()

template<typename T >

ParamIterator& testing::internal::ParamIterator< T >::operator= | ( | const ParamIterator< T > & | other | ) |

inline

Definition at line 10667 of file gtest.h.

## operator==()

template<typename T >

bool testing::internal::ParamIterator< T >::operator== | ( | const ParamIterator< T > & | other | ) | const

inline

Definition at line 10686 of file gtest.h.

## Friends And Related Function Documentation

## ParamGenerator< T >

template<typename T >

friend class ParamGenerator< T >

friend

Definition at line 10694 of file gtest.h.

The documentation for this class was generated from the following file:

- test/eclipse-cygwin/lib/gtest/gtest.h